<template>
  <j-modal
    title="铭牌"
    :width="750"
    :visible="visible"
    @cancel="handleCancel"
    :maskClosable="false"
  >
    <table id="nameplateTable" border="1" cellpadding="12" cellspacing="0" align="center" width="80%">
      <thead>
      <tr>
        <th colspan="3">设备管理牌</th>
      </tr>
      </thead>

      <tbody>
      <tr>
        <td rowspan="3">
          <QrcodeVue :value="httpUrl"/>
        </td>
        <td>设备编号</td>
        <td>{{ model.equipmentCode }}</td>
      </tr>

      <tr>
        <td>设备名称</td>
        <td>{{ model.equipmentName }}</td>
      </tr>

      <tr>
        <td>设备型号</td>
        <td>{{ model.equipmentModel }}</td>
      </tr>

      <tr>
        <td>设备管理</td>
        <td>使用车间</td>
        <td>{{ model.orgId_dictText }}</td>
      </tr>

      <tr>
        <td rowspan="3">
          <QrcodeVue :value="model.equipmentCode"/>
        </td>
        <td>出厂编号</td>
        <td>{{ model.factoryNumber }}</td>
      </tr>

      <tr>
        <td>设备管理员</td>
        <td>{{ model.equipmentManager_dictText }}</td>
      </tr>

      <tr>
        <td>安装位置</td>
        <td>{{ model.installationPosition }}</td>
      </tr>

      <tr>
        <td>MES</td>
        <td colspan="2" style="color: #f00;font-weight: bold;letter-spacing: 1px">非管理员勿动此铭牌</td>
      </tr>
      </tbody>
    </table>

    <template slot="footer">
      <a-button @click="handleCancel">关闭</a-button>
      <a-button type="primary" v-print="'#nameplateTable'">打印</a-button>
    </template>
  </j-modal>
</template>

<script>
import QrcodeVue from 'qrcode.vue'

export default {
  name: 'NameplateModal',
  components: { QrcodeVue },
  data() {
    return {
      title: '铭牌',
      visible: false,
      model: {},
      httpUrl: ''
    }
  },
  methods: {
    handleCancel() {
      this.visible = false
    }
  }
}
</script>

<style lang="less" scoped>
table {
  font-family: "Helvetica Neue", Helvetica, "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei", "微软雅黑", Arial, sans-serif;
  color: #000;
  text-align: center;

  th {
    font-size: 28px;
    letter-spacing: 3px;
    padding: 20px;
  }

  td {
    font-size: 18px;
    width: 33%;
  }
}
</style>